package org.apache.bcel.generic;

package .var.folders.cl.9twcgjfx4vsg5zl73c6wxmvm0000gn.T;

import org.apache.bcel.generic.IF_ICMPEQ;
import org.apache.bcel.generic.IfInstruction;
import org.apache.bcel.generic.InstructionHandle;
import org.apache.bcel.generic.Visitor;

public class IF_ICMPNE extends IfInstruction {
  IF_ICMPNE() {}
  
  public IF_ICMPNE(InstructionHandle target) {
    super((short)160, target);
  }
  
  public void accept(Visitor v) {
    v.visitStackConsumer(this);
    v.visitBranchInstruction(this);
    v.visitIfInstruction(this);
    v.visitIF_ICMPNE(this);
  }
  
  public IfInstruction negate() {
    return new IF_ICMPEQ(getTarget());
  }
}
